summaryrefslogtreecommitdiff
path: root/hints/irix_4.sh
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>1999-01-19 12:44:02 +0000
committerJarkko Hietaniemi <jhi@iki.fi>1999-01-19 12:44:02 +0000
commit104d25b722892cb36f4c988c17016ee0180c3b1a (patch)
tree109792e6430e500a9464f9002871477456f0bed5 /hints/irix_4.sh
parentb478f28d3c42f92a71da0b37f44cc5e7d70574a6 (diff)
downloadperl-104d25b722892cb36f4c988c17016ee0180c3b1a.tar.gz
Jumbo Configure update.
* -Uinstallusrbinperl: disable /usr/bin/perl installation by installperl * usethreads.cbu * use64bits.cbu * "nosuid" p4raw-id: //depot/cfgperl@2649
Diffstat (limited to 'hints/irix_4.sh')
-rw-r--r--hints/irix_4.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/hints/irix_4.sh b/hints/irix_4.sh
index f5883f38cb..1e90f989bd 100644
--- a/hints/irix_4.sh
+++ b/hints/irix_4.sh
@@ -22,3 +22,24 @@ If you have problems, you might have try including
-DSTANDARD_C -cckr
in ccflags.
EOM
+
+case "$usethreads" in
+$define|true|[yY]*)
+ cat >&4 <<EOM
+IRIX `uname -r` does not support POSIX threads.
+You should upgrade to at least IRIX 6.2 with pthread patches.
+EOM
+ exit 1
+ ;;
+esac
+
+case "$use64bits" in
+$define|true|[yY]*)
+ cat >&4 <<EOM
+IRIX `uname -r` does not support 64-bit types.
+You should upgrade to at least IRIX 6.2.
+Cannot continue, aborting.
+EOM
+ exit 1
+esac
+